import React from 'react';
import PropTypes from 'prop-types';
import { propsTypes } from './types';
/**
 * Primary UI component for user interaction
 */ declare const Button: {
    (props: propsTypes): React.ReactElement;
    propTypes: {
        /**
         * Is this the principal call to action on the page?
         */
        primary: PropTypes.Requireable<boolean>;
        /**
         * How large should the button be?
         */
        size: PropTypes.Requireable<string>;
        /**
         * Button contents
         */
        label: PropTypes.Validator<string>;
        /**
         * Optional click handler
         */
        onClick: PropTypes.Requireable<(...args: any[]) => any>;
        fullWidth: PropTypes.Requireable<boolean>;
        /**
         * minWidth
         */
        minWidth: PropTypes.Requireable<string>;
        styles: PropTypes.Requireable<object>;
    };
    defaultProps: {
        primary: boolean;
        size: string;
        onClick: undefined;
        fullWidth: boolean;
        minWidth: string;
        styles: undefined;
    };
};
export default Button;
export declare const IconButton: {
    ({ label, icon, onClick, minWidth, styles }: propsTypes): React.ReactElement;
    propTypes: {
        /**
         * Heading contents
         */
        label: PropTypes.Validator<string>;
        /**
         * icon
         */
        icon: PropTypes.Requireable<string>;
        /**
         * align
         */
        onClick: PropTypes.Requireable<(...args: any[]) => any>;
        /**
         * minWidth
         */
        minWidth: PropTypes.Requireable<string>;
        styles: PropTypes.Requireable<object>;
    };
    defaultProps: {
        icon: string;
        minWidth: string;
        styles: undefined;
    };
};
